import request from '@/utils/request'

// 新增
export function addChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'post',
        data: data
    })
}
// 修改
export function updataChannel(data) {
    return request({
        url: '/dxtop/topChannel',
        method: 'put',
        data: data
    })
}
// 删除
export function delChannel(deptId) {
    return request({
        url: '/dxtop/topChannel/' + deptId,
        method: 'delete',
    })
}
// 查询
export function listChannel(data) {
    return request({
        url: '/dxtop/staff/page',
        method: 'post',
        data: data
    })
}
// 同步人员信息
export function personJob(data) {
    return request({
        url: '/dxtop/smjob/personJob',
        method: 'post',
        data: data
    })
}
// 批量处理充值到账比例
export function staff(data) {
    return request({
        url: '/dxtop/staff/',
        method: 'post',
        data: data
    })
}